classification
Title: In documentation Section 6.17, Operator precedence, footnotes 5 & 6 are reversed
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: ZackerySpytz, docs@python, miss-islington, rhettinger, webbnh
Priority: normal Keywords: patch

Created on 2021-04-30 17:33 by webbnh, last changed 2021-05-03 14:48 by webbnh. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25805 merged ZackerySpytz, 2021-05-02 08:14
PR 25819 merged miss-islington, 2021-05-02 19:01
Messages (5)
msg392481 - (view) Author: Webb Scales (webbnh) Date: 2021-04-30 17:33
In Section 6.17 ("Operator precedence"; https://docs.python.org/3/reference/expressions.html#operator-precedence) of the documentation, footnote 5 (https://docs.python.org/3/reference/expressions.html#id15) refers to text (https://docs.python.org/3/reference/expressions.html#id21) which applies to reference 6, while footnote 6 refers to text which applies to reference 5.
msg392711 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-05-02 17:29
New changeset 7d2b83e9f092a2ea1f715fe028f7c48324bee756 by Zackery Spytz in branch 'master':
bpo-43990: Fix the footnote ordering in the operator precedence docs (GH-25805)
https://github.com/python/cpython/commit/7d2b83e9f092a2ea1f715fe028f7c48324bee756
msg392719 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-05-02 20:14
New changeset e60b1e150d708c40fa3c51d012d9bf471f04bc70 by Miss Islington (bot) in branch '3.9':
bpo-43990: Fix the footnote ordering in the operator precedence docs (GH-25805) (GH-25819)
https://github.com/python/cpython/commit/e60b1e150d708c40fa3c51d012d9bf471f04bc70
msg392720 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-05-02 20:15
Webb, thanks for the report.
Zackery, thanks for the PR.
msg392810 - (view) Author: Webb Scales (webbnh) Date: 2021-05-03 14:48
Thanks Raymond and Zackery -- that response was nothing short of amazing!
History
Date User Action Args
2021-05-03 14:48:03webbnhsetmessages: + msg392810
2021-05-02 20:15:44rhettingersetstatus: open -> closed
versions: + Python 3.10
messages: + msg392720

resolution: fixed
stage: patch review -> resolved
2021-05-02 20:14:33rhettingersetmessages: + msg392719
2021-05-02 19:01:49miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24505
2021-05-02 18:12:04rhettingersetassignee: docs@python -> rhettinger
2021-05-02 17:29:22rhettingersetnosy: + rhettinger
messages: + msg392711
2021-05-02 08:14:58ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request24490
stage: patch review
2021-04-30 17:33:30webbnhcreate